Bug 1573543 - [abrt] gnome-shell: strcmp(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: strcmp(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fd835318d52015d1074774f399e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:11 UTC by pmkellly
Modified: 2018-11-12 13:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-12 13:37:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (146.79 KB, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: core_backtrace (37.21 KB, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: cpuinfo (1007 bytes, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: dso_list (24.48 KB, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: environ (3.50 KB, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-01 16:11 UTC, pmkellly
no flags Details
File: maps (144.59 KB, text/plain)
2018-05-01 16:12 UTC, pmkellly
no flags Details
File: mountinfo (3.58 KB, text/plain)
2018-05-01 16:12 UTC, pmkellly
no flags Details
File: open_fds (7.24 KB, text/plain)
2018-05-01 16:12 UTC, pmkellly
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-01 16:12 UTC, pmkellly
no flags Details
File: var_log_messages (15.46 KB, text/plain)
2018-05-01 16:12 UTC, pmkellly
no flags Details

Description pmkellly 2018-05-01 16:11:42 UTC
Description of problem:
I was running through the Core Applications testing part of the pre-release requirements.
In this I sequence through the applications that are installed with the Fedora installation
in the order they appear in the Activities Icons. When I opened the Test Editor and tried
to resize the window, the crash ocurred. 

Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: strcmp
executable:     /usr/bin/gnome-shell
journald_cursor: s=0b6f42c134704767914b53311c7e307e;i=5357;b=46df37d3b7c14295a78c505cfce5ca20;m=3d5556ef;t=56b26ef1348de;x=bde9be33a2823c04
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 pmkellly 2018-05-01 16:11:50 UTC
Created attachment 1429302 [details]
File: backtrace

Comment 2 pmkellly 2018-05-01 16:11:51 UTC
Created attachment 1429303 [details]
File: cgroup

Comment 3 pmkellly 2018-05-01 16:11:54 UTC
Created attachment 1429304 [details]
File: core_backtrace

Comment 4 pmkellly 2018-05-01 16:11:55 UTC
Created attachment 1429305 [details]
File: cpuinfo

Comment 5 pmkellly 2018-05-01 16:11:56 UTC
Created attachment 1429306 [details]
File: dso_list

Comment 6 pmkellly 2018-05-01 16:11:57 UTC
Created attachment 1429307 [details]
File: environ

Comment 7 pmkellly 2018-05-01 16:11:58 UTC
Created attachment 1429308 [details]
File: exploitable

Comment 8 pmkellly 2018-05-01 16:11:59 UTC
Created attachment 1429309 [details]
File: limits

Comment 9 pmkellly 2018-05-01 16:12:04 UTC
Created attachment 1429310 [details]
File: maps

Comment 10 pmkellly 2018-05-01 16:12:06 UTC
Created attachment 1429311 [details]
File: mountinfo

Comment 11 pmkellly 2018-05-01 16:12:07 UTC
Created attachment 1429312 [details]
File: open_fds

Comment 12 pmkellly 2018-05-01 16:12:08 UTC
Created attachment 1429313 [details]
File: proc_pid_status

Comment 13 pmkellly 2018-05-01 16:12:09 UTC
Created attachment 1429314 [details]
File: var_log_messages

Comment 14 pmkellly 2018-05-04 17:13:07 UTC
Similar problem has been detected:

I was sequencing throuth the Core Applications test. I was starting and shutting them down as I went.
The crash occured when I opened Firefox and resized the window. I have had this bug show
up several times with different applications and different operations with the applications.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: strcmp
executable:     /usr/bin/gnome-shell
journald_cursor: s=0b6f42c134704767914b53311c7e307e;i=f236;b=10533568fa79436e8a9107fc282eba7a;m=200bd8e86;t=56b645021ec91;x=ba05ad2253040124
kernel:         4.16.5-300.fc28.x86_64
package:        gnome-shell-3.28.1-3.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 pmkellly 2018-05-13 12:04:01 UTC
This has been reported at Gnome as gnome-shell issue #265

Comment 16 pmkellly 2018-11-12 13:37:37 UTC
This is a late report done during bug report clean up.

During trouble shooting with the Gnome folks, this seemed to be caused by a problem with libgweather, but I could get the data to prove it. A sub sequent fresh clean install of F28 on bare metal and un-installing the Weacher app. before it had been used (selecting a city) produced the result that this bug could not be reproduced. Later libgweather was updated for unknown reasons (never filed an issue against it) and the bug has not be seen since. I am closing this bug.


Note You need to log in before you can comment on or make changes to this bug.